Skip to main content
POST
/
v1
/
users
/
{userId}
/
regenerate-api-token
Regenerate a user's API token
curl --request POST \
  --url https://wmc.wiremockapi.cloud/v1/users/{userId}/regenerate-api-token \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://wmc.wiremockapi.cloud/v1/users/{userId}/regenerate-api-token"

payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://wmc.wiremockapi.cloud/v1/users/{userId}/regenerate-api-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
"Credentials are required to access this resource."
{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}

Authorizations

Authorization
string
header
required

Your API key prefixed by 'Token '

Path Parameters

userId
string
required

Body

application/json

The body is of type object.

Response

200 response

The response is of type object.